import { SvelteComponent } from "svelte";
declare const __propDef: {
    props: {
        size?: string | undefined;
        overBackground?: boolean | undefined;
        iconName?: string | undefined;
        iconColor?: string | undefined;
        isEmphasized?: boolean | undefined;
        isVisible?: boolean | undefined;
        isDisabled?: boolean | undefined;
        UIIcon?: boolean | undefined;
        sizes?: {
            S: string;
            M: string;
            L: string;
            XL: string;
        } | undefined;
    };
    events: {
        click: MouseEvent;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        icon: {};
    };
};
export type ClearButtonProps = typeof __propDef.props;
export type ClearButtonEvents = typeof __propDef.events;
export type ClearButtonSlots = typeof __propDef.slots;
export default class ClearButton extends SvelteComponent<ClearButtonProps, ClearButtonEvents, ClearButtonSlots> {
    get sizes(): {
        S: string;
        M: string;
        L: string;
        XL: string;
    };
}
export {};
