import { SvelteComponent } from "svelte";
declare const __propDef: {
    props: {
        type: string;
        message: string;
        title: string;
        text?: string | undefined;
        noAsDefault?: boolean | undefined;
        answer: {
            resolve: (answer?: string | boolean) => void;
            reject: (answer?: string | boolean) => void;
        };
        iconName?: string | undefined;
        isOpen?: boolean | undefined;
        show: {
            resolve: (answer?: string | boolean) => void;
            reject: (answer?: string | boolean) => void;
        };
        showAgain?: boolean | undefined;
        dismissable?: boolean | undefined;
        modal?: boolean | undefined;
    };
    events: {
        error: CustomEvent<any>;
        close: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        content: {};
    };
};
export type DialogProps = typeof __propDef.props;
export type DialogEvents = typeof __propDef.events;
export type DialogSlots = typeof __propDef.slots;
export default class Dialog extends SvelteComponent<DialogProps, DialogEvents, DialogSlots> {
}
export {};
