import { SvelteComponent } from "svelte";
import { Image as ImageClass } from '../modules/filetree.ts';
import { FileTree as FileClass } from '../modules/filetree.ts';
declare const __propDef: {
    props: {
        file: FileClass | ImageClass;
        isSelected?: boolean | undefined;
        isOpen?: boolean | undefined;
        hideChevron?: boolean | undefined;
        hideMoreIcon?: boolean | undefined;
        resizable?: boolean | undefined;
        hideMenu?: boolean | undefined;
        size?: string | number | undefined;
        view?: "grid" | "list" | undefined;
        expanded?: boolean | undefined;
        children?: ((this: void) => typeof import("svelte").SnippetReturn & {
            _: "functions passed to {@render ...} tags must use the `Snippet` type imported from \"svelte\"";
        }) | undefined;
    };
    events: {
        keydown: KeyboardEvent;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export type FileProps = typeof __propDef.props;
export type FileEvents = typeof __propDef.events;
export type FileSlots = typeof __propDef.slots;
export default class File extends SvelteComponent<FileProps, FileEvents, FileSlots> {
}
export {};
