import { SvelteComponent } from "svelte";
declare const __propDef: {
    props: {
        isOpen?: boolean | undefined;
        isDisabled?: boolean | undefined;
        removePadding?: boolean | undefined;
        iconName: string;
        heading: string;
        isActive?: boolean | undefined;
    };
    events: {
        keydown: KeyboardEvent;
        toggle: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        menu: {
            hovering: boolean;
            collapsed: boolean;
            menuIsOpen: boolean;
        };
        content: {};
    };
};
export type AccordionItemProps = typeof __propDef.props;
export type AccordionItemEvents = typeof __propDef.events;
export type AccordionItemSlots = typeof __propDef.slots;
export default class AccordionItem extends SvelteComponent<AccordionItemProps, AccordionItemEvents, AccordionItemSlots> {
}
export {};
