import { SvelteComponent } from "svelte";
declare const __propDef: {
    props: {
        title?: string | undefined;
        type?: string | undefined;
        subtitle?: string | undefined;
        hideTooltip?: boolean | undefined;
        isSelected?: boolean | undefined;
        orderedSelection?: boolean | undefined;
        checkboxSelection?: boolean | undefined;
        indicatorColor?: string | undefined;
        size?: string | number | undefined;
        hideActions: boolean;
    };
    events: {
        click: MouseEvent;
        dblclick: MouseEvent;
        keydown: KeyboardEvent;
        indicatorClick: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        image: {};
        menu: {};
        indicator: {};
    };
};
export type AssetCardProps = typeof __propDef.props;
export type AssetCardEvents = typeof __propDef.events;
export type AssetCardSlots = typeof __propDef.slots;
export default class AssetCard extends SvelteComponent<AssetCardProps, AssetCardEvents, AssetCardSlots> {
}
export {};
