import { SvelteComponent } from "svelte";
declare const __propDef: {
    props: {
        type?: string | undefined;
        iconName?: string | undefined;
        noBorder?: boolean | undefined;
        icon?: {
            [key: string]: string;
        } | undefined;
        size?: string | undefined;
        space?: {
            [key: string]: string;
        } | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        heading: {};
        content: {};
        footer: {};
    };
};
export type InlineAlertProps = typeof __propDef.props;
export type InlineAlertEvents = typeof __propDef.events;
export type InlineAlertSlots = typeof __propDef.slots;
export default class InlineAlert extends SvelteComponent<InlineAlertProps, InlineAlertEvents, InlineAlertSlots> {
}
export {};
