import { SvelteComponent } from "svelte";
declare const __propDef: {
    props: {
        button?: boolean | undefined;
        iconName?: string | undefined;
        label?: string | undefined;
        isOpen?: boolean | undefined;
        align?: string | undefined;
        hold?: boolean | undefined;
        closeOnClick?: boolean | undefined;
    };
    events: {
        keydown: KeyboardEvent;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        trigger: {
            isOpen: boolean;
        };
        menu: {};
    };
};
export type MenuProps = typeof __propDef.props;
export type MenuEvents = typeof __propDef.events;
export type MenuSlots = typeof __propDef.slots;
export default class Menu extends SvelteComponent<MenuProps, MenuEvents, MenuSlots> {
}
export {};
