import { SvelteComponent } from "svelte";
declare const __propDef: {
    props: {
        isOpen?: boolean | undefined;
        isDisabled?: boolean | undefined;
        align?: string | undefined;
        dismissable?: boolean | undefined;
        trigger?: HTMLElement | undefined | null;
        hold?: boolean | undefined;
        hideTip?: boolean | undefined;
        padding?: string | number | undefined;
        closeOnClick?: boolean | undefined;
        adjustForWindow?: boolean | undefined;
        cover?: boolean | undefined;
        fadeOut?: number | undefined;
        modal?: boolean | undefined;
        children?: ((this: void) => typeof import("svelte").SnippetReturn & {
            _: "functions passed to {@render ...} tags must use the `Snippet` type imported from \"svelte\"";
        }) | undefined;
    };
    events: {
        keydown: KeyboardEvent;
        error: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export type PopoverProps = typeof __propDef.props;
export type PopoverEvents = typeof __propDef.events;
export type PopoverSlots = typeof __propDef.slots;
export default class Popover extends SvelteComponent<PopoverProps, PopoverEvents, PopoverSlots> {
}
export {};
